import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

//widget class
class TileData {
  Widget leading;
  String title;
  String subtitle;
  Widget trailing;
  bool enabled;
  bool selected;
//constr
  TileData(
      {this.leading,
      this.title,
      this.subtitle,
      this.trailing,
      this.enabled = true,
      this.selected = false});
}
//widget class
class ListTileParameters {
  final bool isThreeLine;
  final bool dense;
  final EdgeInsetsGeometry contentPadding;
  final GestureTapCallback onTap;
  final GestureLongPressCallback onLongPress;
//constr
  ListTileParameters({
    this.isThreeLine = false,
    this.dense,
    this.contentPadding,
    this.onTap,
    this.onLongPress,
  });
}
//widget class
class ListItems {
  IconData icon;
  String Text1;
//constr
  ListItems(this.icon, this.Text1);
}

//widget class
class AlertDialogContents {
  List<Widget> buttons;
  String Content;
  Widget title;
//constr
  AlertDialogContents(
      this.buttons, this.Content, this.title);
}
//widget class
class AlertDialogParameters {
  final Widget title;
  final EdgeInsetsGeometry titlePadding;
  final TextStyle titleTextStyle;
  final Widget content;
  final EdgeInsetsGeometry contentPadding;
  final TextStyle contentTextStyle;
  final List<Widget> actions;
  final EdgeInsetsGeometry actionsPadding;
  final VerticalDirection actionsOverflowDirection;
  final double actionsOverflowButtonSpacing;
  final EdgeInsetsGeometry buttonPadding;
  final Color backgroundColor;
  final double elevation;
  final String semanticLabel;
  final EdgeInsets insetPadding;
  final Clip clipBehavior;
  final ShapeBorder shape;
  final bool scrollable;
  final double height;
  final double width;
//constr
  AlertDialogParameters({
    Key key,
    this.title,
    this.titlePadding,
    this.titleTextStyle,
    this.content,
    this.contentPadding = const EdgeInsets.fromLTRB(24.0, 20.0, 24.0, 24.0),
    this.contentTextStyle,
    this.actions,
    this.actionsPadding = EdgeInsets.zero,
    this.actionsOverflowDirection,
    this.actionsOverflowButtonSpacing,
    this.buttonPadding,
    this.backgroundColor,
    this.elevation,
    this.semanticLabel,
    this.insetPadding,
    this.clipBehavior = Clip.none,
    this.shape,
    this.scrollable = false,
    this.height,
    this.width,
  });
}
//widget class
class TextFieldParameters {
  final bool autocorrect;
  final bool autofocus;
  final InputCounterWidgetBuilder buildCounter;
  final TextEditingController controller;
  final Color cursorColor;
  final Radius cursorRadius;
  final double cursorWidth;
  final InputDecoration decoration;
  final bool enabled;
  final bool enableInteractiveSelection;
  final bool enableSuggestions;
  final bool expands;
  final FocusNode focusNode;
  final Brightness keyboardAppearances;
  final TextInputType keyboardType;
  final int maxLength;
  final bool maxLengthEnforced;
  final int maxLines;
  final int minLines;
  final bool obsecureText;
  final ValueChanged<String> onChanged;
  final VoidCallback onEditingComplete;
  final ValueChanged<String> onSubmitted;
  final GestureTapCallback onTap;
  final bool readOnly;
  final ScrollController scrollController;
  final EdgeInsets scrollPadding;
  final ScrollPhysics scrollPhysics;
  final bool selectionEnabled;
  final bool showCursor;
  final StrutStyle strutStyle;
  final TextStyle style;
  final TextAlign textAlign;
  final TextAlignVertical textAlignVertical;
  final TextCapitalization textCapitalization;
  final TextDirection textDirection;
  final TextInputAction textInputAction;
  final ToolbarOptions toolbarOptions;
//constr
  TextFieldParameters({
    Key key,
    this.toolbarOptions,
    this.textInputAction,
    this.textDirection,
    this.textCapitalization,
    this.textAlignVertical,
    this.textAlign,
    this.style,
    this.strutStyle,
    this.scrollPhysics,
    this.scrollController,
    this.focusNode,
    this.decoration,
    this.controller,
    this.onChanged,
    this.autocorrect,
    this.autofocus,
    this.buildCounter,
    this.cursorColor,
    this.cursorRadius,
    this.cursorWidth,
    this.enabled,
    this.enableInteractiveSelection,
    this.enableSuggestions,
    this.expands,
    this.keyboardAppearances,
    this.keyboardType,
    this.maxLength,
    this.maxLengthEnforced,
    this.maxLines,
    this.minLines,
    this.obsecureText,
    this.onEditingComplete,
    this.onSubmitted,
    this.onTap,
    this.readOnly,
    this.scrollPadding,
    this.selectionEnabled,
    this.showCursor,
  });
}

//widget class
class CustomTileData {
  Widget leading;
  String title;
  String subtitle;
  String trailingTopText;
  String trailingBottomText;
  bool enabled;
  bool selected;
  bool stubMode;
//constr
  CustomTileData(
      {this.leading,
      this.title,
      this.subtitle,
      this.trailingTopText,
      this.trailingBottomText,
      this.enabled = true,
      this.selected = false,
      this.stubMode = true});
}
//widget class
class CustomListTileParameters {
  bool isThreeLine;
  bool dense;
  EdgeInsetsGeometry contentPadding;
  GestureTapCallback onTap;
  GestureLongPressCallback onLongPress;
  FontWeight fontWeight;
  double fontSize;
  String fontFamily;
  Color textColor;
  Color listBgColor;
  Color iconBgColor;
  double circularRadius;
  double listHeight;
  double listWidth;
  double iconHeight;
  double iconWidth;
//constr
  CustomListTileParameters(
      {this.isThreeLine = false,
      this.dense,
      this.contentPadding,
      this.onTap,
      this.onLongPress,
      this.textColor,
      this.fontFamily,
      this.fontWeight,
      this.fontSize,
      this.circularRadius,
      this.iconBgColor,
      this.listBgColor,
      this.listHeight,
      this.iconHeight,
      this.iconWidth,
      this.listWidth});
}

